Commit 8073c43c authored by Sam Hocevar's avatar Sam Hocevar

* Control files for the official 0.7.2-test1 Debian packages.

parent 6f10c439
vlc (0.7.1+cvs20040426-1) unstable; urgency=low vlc (0.7.2-test1-2) unstable; urgency=low
* debian/control:
+ Build-depend on libxml2-dev.
* extras/ffmpeg/libavcodec/ppc/dsputil_altivec.c:
+ Syntax fixes for powerpc.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Wed, 28 Apr 2004 12:49:18 +0200
vlc (0.7.2-test1-1) unstable; urgency=low
* New SVN snapshot. * New SVN snapshot.
* The skinned interface is now the default one (Closes: #245210).
* debian/control: * debian/control:
+ Removed the libdv2-dev build-dependency. + Removed the libdv2-dev build-dependency.
+ Set the liblivemedia-dev build-dependency to (>= 2004.04.23-1). + Set the liblivemedia-dev build-dependency to (>= 2004.04.23-1).
...@@ -14,6 +24,8 @@ vlc (0.7.1+cvs20040426-1) unstable; urgency=low ...@@ -14,6 +24,8 @@ vlc (0.7.1+cvs20040426-1) unstable; urgency=low
+ Activated MOD support. + Activated MOD support.
* configure.ac: * configure.ac:
+ Re-enabled i420_yuy2_altivec. + Re-enabled i420_yuy2_altivec.
* src/interface/interface.c:
+ Disable unavailable interfaces from the switch menu (Closes: #245209).
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Mon, 26 Apr 2004 16:30:25 +0200 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Mon, 26 Apr 2004 16:30:25 +0200
......
...@@ -2,14 +2,14 @@ Source: vlc ...@@ -2,14 +2,14 @@ Source: vlc
Section: graphics Section: graphics
Priority: optional Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org> Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), gettext, libx11-dev, libxext-dev, libxt-dev, libxv-dev, xlibs-static-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libaudiofile-dev, libsdl1.2-dev (>= 1.2.7-5), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>= 0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi2-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, libxosd-dev (>= 2.2.4-1.3), svgalibg1-dev (>= 1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.4), libdvdplay0-dev (>= 1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>= 1.1.0), libimlib2-dev, libmatroska-dev (>= 0.7.0), libfreetype6-dev, libspeex-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.9), liblivemedia-dev (>= 2004.04.23-1), libmpeg2-4-dev, zlib1g-dev, libdts-dev, libfribidi-dev, libcdio-dev, libmodplug-dev Build-Depends: debhelper (>= 4.0), gettext, libx11-dev, libxext-dev, libxt-dev, libxv-dev, xlibs-static-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libaudiofile-dev, libsdl1.2-dev (>= 1.2.7-5), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>= 0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi2-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, libxosd-dev (>= 2.2.4-1.3), svgalibg1-dev (>= 1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.4), libdvdplay0-dev (>= 1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>= 1.1.0), libimlib2-dev, libmatroska-dev (>= 0.7.0), libfreetype6-dev, libspeex-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.9), liblivemedia-dev (>= 2004.04.23-1), libmpeg2-4-dev, zlib1g-dev, libdts-dev, libfribidi-dev, libcdio-dev, libmodplug-dev, libxml2-dev
Standards-Version: 3.6.1.0 Standards-Version: 3.6.1.0
Package: vlc Package: vlc
Section: graphics Section: graphics
Architecture: any Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont
Recommends: gnome-vlc | wxvlc, ttf-thryomanes Recommends: wxvlc, ttf-thryomanes
Replaces: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0) Replaces: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Conflicts: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0) Conflicts: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
Provides: mp3-decoder Provides: mp3-decoder
...@@ -44,7 +44,6 @@ Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends} ...@@ -44,7 +44,6 @@ Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: vlc-plugin-esd Recommends: vlc-plugin-esd
Conflicts: vlc-gnome (<< 0.5.0) Conflicts: vlc-gnome (<< 0.5.0)
Replaces: vlc-gnome (<< 0.5.0) Replaces: vlc-gnome (<< 0.5.0)
Provides: vlc-gui
Description: GNOME frontend for VLC Description: GNOME frontend for VLC
This plugin adds a GNOME interface to the VLC media player. To activate This plugin adds a GNOME interface to the VLC media player. To activate
it, use the `--intf gnome' flag or run the `gnome-vlc' program. it, use the `--intf gnome' flag or run the `gnome-vlc' program.
...@@ -58,7 +57,6 @@ Architecture: any ...@@ -58,7 +57,6 @@ Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends} Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0) Conflicts: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
Replaces: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0) Replaces: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
Provides: vlc-gui
Description: GTK+ frontend for VLC Description: GTK+ frontend for VLC
This plugin adds a GTK+ interface to the VLC media player. To activate This plugin adds a GTK+ interface to the VLC media player. To activate
it, use the `--intf gtk' flag or run the `gvlc' program. it, use the `--intf gtk' flag or run the `gvlc' program.
...@@ -143,7 +141,6 @@ Architecture: any ...@@ -143,7 +141,6 @@ Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends} Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: vlc-qt (<< 0.5.0) Conflicts: vlc-qt (<< 0.5.0)
Replaces: vlc-qt (<< 0.5.0) Replaces: vlc-qt (<< 0.5.0)
Provides: vlc-gui
Description: Qt frontend for VLC Description: Qt frontend for VLC
This plugin adds a Qt interface to the VLC media player. To activate it, This plugin adds a Qt interface to the VLC media player. To activate it,
use the `--intf qt' flag or run the `qvlc' program. use the `--intf qt' flag or run the `qvlc' program.
...@@ -187,7 +184,6 @@ Depends: vlc (= ${Source-Version}), kdelibs4 (>= 4:3.1.5-1), ${misc:Depends} ...@@ -187,7 +184,6 @@ Depends: vlc (= ${Source-Version}), kdelibs4 (>= 4:3.1.5-1), ${misc:Depends}
Recommends: vlc-plugin-arts Recommends: vlc-plugin-arts
Conflicts: vlc-kde (<< 0.5.0) Conflicts: vlc-kde (<< 0.5.0)
Replaces: vlc-kde (<< 0.5.0) Replaces: vlc-kde (<< 0.5.0)
Provides: vlc-gui
Description: KDE frontend for VLC Description: KDE frontend for VLC
This plugin adds a KDE interface to the VLC media player. To activate it, This plugin adds a KDE interface to the VLC media player. To activate it,
use the `--intf kde' flag or run the `kvlc' program. use the `--intf kde' flag or run the `kvlc' program.
...@@ -212,12 +208,9 @@ Description: SVGAlib video output plugin for VLC ...@@ -212,12 +208,9 @@ Description: SVGAlib video output plugin for VLC
Package: wxvlc Package: wxvlc
Architecture: any Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends} Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: vlc-gui Description: wxWindows frontend for VLC
Description: wxWindows and skins frontends for VLC This plugin adds a wxWindow interface to the VLC media player. To activate
This plugin adds a wxWindow interface and a skinnable interface to the the wxWindow GUI, use the `--intf wxwin' flag or run the `wxvlc' program.
VLC media player. To activate the wxWindow GUI, use the `--intf wxwin'
flag or run the `wxvlc' program. To activate the skinnable GUI, use the
`--intf skins' flag.
. .
VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4, VLC is the VideoLAN project's media player. It plays MPEG, MPEG2, MPEG4,
DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia DivX, MOV, WMV, QuickTime, mp3, Ogg/Vorbis files, DVDs, VCDs, and multimedia
......
#!/usr/bin/make -f #!/usr/bin/make -f
# debian/rules for the VideoLAN Client - uses debhelper. # debian/rules for the VLC media player - uses debhelper.
# $Id$ # $Id$
# based on Joey Hess's one. # based on Joey Hess's one.
...@@ -195,6 +195,9 @@ install: build ...@@ -195,6 +195,9 @@ install: build
#cp doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc #cp doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc
#strfile doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc.dat #strfile doc/fortunes.txt debian/vlc/usr/share/games/fortunes/vlc.dat
rm -Rf debian/vlc/usr/share/vlc/skins
ln -s vlc.1.gz debian/vlc/usr/share/man/man1/svlc.1.gz
# Package: libvlc0-dev # Package: libvlc0-dev
mv debian/vlc/usr/bin/vlc-config debian/libvlc0-dev/usr/bin/ mv debian/vlc/usr/bin/vlc-config debian/libvlc0-dev/usr/bin/
mv debian/vlc/usr/lib/*.a debian/libvlc0-dev/usr/lib/ mv debian/vlc/usr/lib/*.a debian/libvlc0-dev/usr/lib/
...@@ -331,16 +334,10 @@ endif ...@@ -331,16 +334,10 @@ endif
# Package: wxvlc # Package: wxvlc
mv debian/vlc/usr/bin/wxvlc debian/wxvlc/usr/bin/ mv debian/vlc/usr/bin/wxvlc debian/wxvlc/usr/bin/
mv debian/vlc/usr/bin/svlc debian/wxvlc/usr/bin/
ln -s vlc debian/wxvlc/usr/share/doc/wxvlc ln -s vlc debian/wxvlc/usr/share/doc/wxvlc
mv debian/vlc/usr/lib/vlc/gui/libwxwindows_plugin.so \ mv debian/vlc/usr/lib/vlc/gui/libwxwindows_plugin.so \
debian/wxvlc/usr/lib/vlc/gui/ debian/wxvlc/usr/lib/vlc/gui/
mv debian/vlc/usr/lib/vlc/gui/libskins2_plugin.so \
debian/wxvlc/usr/lib/vlc/gui/
mv debian/vlc/usr/share/vlc/skins \
debian/wxvlc/usr/share/vlc/
ln -s vlc.1.gz debian/wxvlc/usr/share/man/man1/wxvlc.1.gz ln -s vlc.1.gz debian/wxvlc/usr/share/man/man1/wxvlc.1.gz
ln -s vlc.1.gz debian/wxvlc/usr/share/man/man1/svlc.1.gz
# Clean up # Clean up
rm -f debian/vlc/$(VIDDIR)/*.png rm -f debian/vlc/$(VIDDIR)/*.png
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment